Update external user profile
curl --request PUT \
--url https://api.16tms.com/api/v1/external/users/{externalId}/profile \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"username": "dfs",
"image": "strsdfsding",
"coverImage": "stsdring",
"displayName": "strsdfing"
}
'import requests
url = "https://api.16tms.com/api/v1/external/users/{externalId}/profile"
payload = {
"username": "dfs",
"image": "strsdfsding",
"coverImage": "stsdring",
"displayName": "strsdfing"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: 'dfs',
image: 'strsdfsding',
coverImage: 'stsdring',
displayName: 'strsdfing'
})
};
fetch('https://api.16tms.com/api/v1/external/users/{externalId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "External user profile updated successfully",
"data": {
"userId": "cbf66c47-a05a-457c-9d3f-322ddd04d79a",
"username": "dfs",
"displayName": "strsdfing",
"email": null,
"phoneNumber": null,
"countryCode": null,
"image": "strsdfsding",
"coverImage": "stsdring"
},
"meta": {
"traceId": "00-97859db68592e8645706c63c94771e58-3f4d57a2024b84d4-00",
"elapsedMs": 42.43,
"serverTimestamp": "2026-02-11T05:50:42.6632964Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "externalId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "externalId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "externalId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "externalId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Update external user profile
Updates the profile of a user using their external ID.
PUT
/
external
/
users
/
{externalId}
/
profile
Update external user profile
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Path Parameters
The external ID of the user.
Body
application/json
⌘I